package clustertemp;

import db.DBApiEntry;
import db.DBVal;
import db.Point;
import db.PointVals;

import java.util.HashMap;

public class TestClusterInsert {
    public static void main(String[] args) {
        String host = "";
        int port = 8123;
        String metricName = "metricName";
        String databaseName = "db1";
        String tableName = "tsdb_cpp_dist";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        Point point = new Point(metricName, tags);

        // 向节点1插入数据
        host = "172.31.48.206";
        {
            DBApiEntry.SetCertForSecureConnection("Z:/tcboxlocal_host_ca.crt");
            DBApiEntry entry = DBApiEntry.initApiEntry(host, 8443, databaseName, tableName, true);
            double[] values = new double[1];
            values[0] = 4.2;
            long[] timestamps = new long[1];
            timestamps[0] = System.currentTimeMillis() * 1000000;
            PointVals pointVals = new PointVals(point, 1, timestamps, values);
            entry.insertSinglPoint(pointVals);
            System.out.println("Insert data to node1 successfully.");
        }

        // 从节点2查询数据
        {
            host = "172.31.48.207";
            DBApiEntry entry = DBApiEntry.initApiEntry(host, port, databaseName, tableName);
            DBVal dbVal = entry.getRTValue(point);
            System.out.println("Query data from node2 successfully.");
            System.out.println(dbVal.toString());
        }
    }
}
